package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.recuritment.task.*;
import com.kingdee.eas.hr.affair.ResignBizBillInfo;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class ResignBeisenFacade extends AbstractBizCtrl implements IResignBeisenFacade
{
    public ResignBeisenFacade()
    {
        super();
        registerInterface(IResignBeisenFacade.class, this);
    }
    public ResignBeisenFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IResignBeisenFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("3B6AFD99");
    }
    private ResignBeisenFacadeController getController() throws BOSException
    {
        return (ResignBeisenFacadeController)getBizController();
    }
    /**
     *同步北森离职人才库-User defined method
     *@param resignBizBillID sHR离职单id
     *@param resignBizBill 离职单
     *@return
     */
    public String syncBeisenReserveTalentPool(String resignBizBillID, ResignBizBillInfo resignBizBill) throws BOSException
    {
        try {
            return getController().syncBeisenReserveTalentPool(getContext(), resignBizBillID, resignBizBill);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *反同步北森离职人才库-User defined method
     *@param resignBizBillID 离职单id
     *@param resignBizBill 离职单
     *@return
     */
    public String syncUnBeisenReserveTalentPool(String resignBizBillID, ResignBizBillInfo resignBizBill) throws BOSException
    {
        try {
            return getController().syncUnBeisenReserveTalentPool(getContext(), resignBizBillID, resignBizBill);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}